Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface EJBCacheStats

All Superinterfaces:
  Stats

public interface EJBCacheStats
extends Stats

A Stats interface to represent the statistics exposed by the Enterprise Bean Cache. This is based on the statistics that were exposed in S1AS7.0. An implementation of EJB Cache should provide statistical data by implementing this interface.

Method Summary
`BoundedRangeStatistic` | `getBeansInCache()` Returns total number of EJBs in the associated EJB Cache, as a BoundedRangeStatistic.
`BoundedRangeStatistic` | `getCacheHits()` Returns the number of times a user request hits an EJB in associated EJB cache instance, as a CountStatistic.
`BoundedRangeStatistic` | `getCacheMisses()` Returns the number of times a user request fails to find an EJB in associated EJB cache instance, as a CountStatistic.
`CountStatistic` | `getExpiredSessionsRemoved()` Returns the number of removed Expired Sessions as a CountStatistic.
`CountStatistic` | `getPassivationErrors()` Returns the number of errors in passivating a Stateful Session Bean, as a CountStatistic.
`CountStatistic` | `getPassivations()` Returns the number of passivations of a Stateful Session Bean, as a CountStatistic.
`CountStatistic` | `getPassivationSuccesses()` Returns the number of errors in passivating a Stateful Session Bean, as a CountStatistic.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCacheMisses

    public BoundedRangeStatistic getCacheMisses()

  Returns the number of times a user request fails to find an EJB in associated EJB cache instance, as a CountStatistic.

  Returns:
    an instance of `BoundedRangeStatistic`

### getCacheHits

    public BoundedRangeStatistic getCacheHits()

  Returns the number of times a user request hits an EJB in associated EJB cache instance, as a CountStatistic.

  Returns:
    an instance of `BoundedRangeStatistic`

### getBeansInCache

    public BoundedRangeStatistic getBeansInCache()

  Returns total number of EJBs in the associated EJB Cache, as a BoundedRangeStatistic. Note that this returns the various statistical values like maximum and minimum value attained as a part of the return value.

  Returns:
    an instance of `BoundedRangeStatistic`

### getPassivations

    public CountStatistic getPassivations()

  Returns the number of passivations of a Stateful Session Bean, as a CountStatistic.

  Returns:
    an instance of `CountStatistic`

### getPassivationErrors

    public CountStatistic getPassivationErrors()

  Returns the number of errors in passivating a Stateful Session Bean, as a CountStatistic. Must be less than or equal to `getPassivations()`

  Returns:
    an instance of `CountStatistic`

### getExpiredSessionsRemoved

    public CountStatistic getExpiredSessionsRemoved()

  Returns the number of removed Expired Sessions as a CountStatistic.

  Returns:
    an instance of `CountStatistic`

### getPassivationSuccesses

    public CountStatistic getPassivationSuccesses()

  Returns the number of errors in passivating a Stateful Session Bean, as a CountStatistic. Must be less than or equal to `getPassivations()`

  Returns:
    an instance of `CountStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.